pcl::io::CameraParameters Struct Reference

Basic camera parameters placeholder. More...

`#include <pcl/io/lzf_image_io.h>`

## Public Attributes

double | focal_length_x
| fx More...
double | focal_length_y
| fy More...
double | principal_point_x
| cx More...
double | principal_point_y
| cy More...

## Detailed Description

Basic camera parameters placeholder.

Definition at line 50 of file lzf_image_io.h.

## Member Data Documentation

double pcl::io::CameraParameters::focal_length_x

fx

Definition at line 53 of file lzf_image_io.h.

Referenced by pcl::io::LZFDepth16ImageReader::read(), and pcl::io::LZFDepth16ImageReader::readOMP().

double pcl::io::CameraParameters::focal_length_y

fy

Definition at line 55 of file lzf_image_io.h.

Referenced by pcl::io::LZFDepth16ImageReader::read(), and pcl::io::LZFDepth16ImageReader::readOMP().

double pcl::io::CameraParameters::principal_point_x

cx

Definition at line 57 of file lzf_image_io.h.

Referenced by pcl::io::LZFDepth16ImageReader::read(), and pcl::io::LZFDepth16ImageReader::readOMP().

double pcl::io::CameraParameters::principal_point_y

cy

Definition at line 59 of file lzf_image_io.h.

Referenced by pcl::io::LZFDepth16ImageReader::read(), and pcl::io::LZFDepth16ImageReader::readOMP().

The documentation for this struct was generated from the following file:

- /build/pcl-0nnAvv/pcl-1.7.2/io/include/pcl/io/lzf_image_io.h